cgGLGetParameter(3)

NAME
cgGLGetParameter - get the values from a scalar or vector parameter

SYNOPSIS
  #include <Cg/cgGL.h>
  /* TYPE is float or double */
  void cgGLGetParameter{1234}{fd}( CGparameter param,
                                   TYPE * v );

PARAMETERS

param
    The parameter from which the values will be retrieved.

v   Destination buffer into which the values will be written.

RETURN VALUES
None.

DESCRIPTION
The cgGLGetParameter functions extract the values set by cgGLSetParameter functions.

There are versions of the function that take either float or double values signified by f or d in the function name.

Each function returns either 1, 2, 3, or 4 values.

These functions may only be called with uniform numeric parameters.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_PROFILE_ERROR is generated if param's profile is not a supported OpenGL profile.

CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

HISTORY
The cgGLGetParameter functions were introduced in Cg 1.1.

SEE ALSO
cgGLSetParameter, cgGLGetParameterArray